server {
    server_name one50.local;
    index       index.php index.html;
    error_log   /var/log/nginx/error.log;
    access_log  /var/log/nginx/access.log;
    root        /var/www/one50.local/app/Web;

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ /\. {
        deny all;
        access_log off;
        log_not_found off;
    }

    location = /favicon.ico {
        log_not_found off;
        access_log off;
    }

    location = /robots.txt {
        allow all;
        log_not_found off;
        access_log off;
    }

    location /_Resources/ {
        access_log off;
        log_not_found off;
        expires max;
        break;
    }

    location ~ \.php$ {
        try_files $uri =404;

        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        if (!-f $document_root$fastcgi_script_name) {
            return 404;
        }

        include         fastcgi_params;
        fastcgi_index   index.php;

        fastcgi_param   SCRIPT_FILENAME   $document_root$fastcgi_script_name;
        fastcgi_param   DOCUMENT_ROOT     $document_root;
        fastcgi_param   FLOW_REWRITEURLS  1;
        fastcgi_param   FLOW_CONTEXT      Development;

        fastcgi_pass    unix:/var/run/php/php7.2-fpm.sock;
    }
}